Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012018ScribusUndo/Redopublic2014-01-27 16:072014-10-04 16:53
ReporterFirasH 
Assigned Tojghali 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformx86_64OSopenSUSEOS Version13.1
Product Version1.5.0svn 
Target Version1.5.1Fixed in Version1.4.5.svn 
Summary0012018: Undo does not behave as expected with linked Text Frames
DescriptionUndo does not restore the text inside of a Text Frame linked to another one.
To restore the text it is needed to press 2 times Undo and once Redo.
Steps To Reproduce0) Create a new document and make sure Windows > Action History is opened
1) Insert 2 Text Frames and link them together
2) Insert some Sample Text
3) Delete 1 of the 2 Text Frames
4) Undo once

The Text Frame is restored, but it's empty.
In the "Action History" Window, you'll see that "Link text frame" is highlighted.

5) Undo another time ("Create Text2" will be highlighted)
6) Redo: the 2 Text Frames will be linked (should also work backwards).
Additional Information1.4.5.svn (19540)
1.5.0.svn (19543)
TagsNo tags attached.
Patch
Attached Files

- Relationships
related to 0008056confirmed [PATCH] Import pages with linked text frames will break the link across pages 
has duplicate 0011408closed Undoing page delete do not reset linked text frame link 
related to 0012739closedjghali Undo/Redo crashes Scribus if a linked Text Frame is edited and deleted 
child of 0012500acknowledged Metabug: Undo/Redo (1.5.0.svn) 

-  Notes
(0031247)
FirasH (developer)
2014-02-01 21:37

As suggested by JLuc, this issue is related to 0011408.
(0031295)
JLuc (updater)
2014-02-09 22:20

0008056 is also related to restoring links, but when importing a file containing linked text frames.
(0032845)
Kunda (manager)
2014-07-21 01:25

Confirmed on 1.5.0svn r19357
(0033861)
FirasH (developer)
2014-10-01 14:07

Reduced/Simplified the Steps.
(0033886)
FirasH (developer)
2014-10-04 16:49

jghali you fixed this one as well with 0012739.
(0033887)
FirasH (developer)
2014-10-04 16:53

Thanks jghali!
Fixed in 1.4.5.svn (19550) and 1.5.0.svn (19549).

- Issue History
Date Modified Username Field Change
2014-01-27 16:07 FirasH New Issue
2014-01-27 16:41 JLuc Tag Attached: undo
2014-02-01 21:37 FirasH Note Added: 0031247
2014-02-09 22:20 JLuc Note Added: 0031295
2014-06-24 21:10 FirasH Relationship added has duplicate 0011408
2014-07-09 03:26 FirasH Relationship added child of 0012500
2014-07-21 01:25 Kunda Note Added: 0032845
2014-07-21 01:25 Kunda Status new => confirmed
2014-07-21 01:25 Kunda Target Version => 1.5.1
2014-07-21 01:27 Kunda Relationship added related to 0008056
2014-10-01 13:54 FirasH Relationship added related to 0012739
2014-10-01 14:04 FirasH Additional Information Updated View Revisions
2014-10-01 14:07 FirasH Note Added: 0033861
2014-10-01 14:07 FirasH Steps to Reproduce Updated View Revisions
2014-10-01 14:08 FirasH Steps to Reproduce Updated View Revisions
2014-10-04 16:49 FirasH Note Added: 0033886
2014-10-04 16:49 FirasH Status confirmed => resolved
2014-10-04 16:49 FirasH Fixed in Version => 1.4.5.svn
2014-10-04 16:49 FirasH Resolution open => fixed
2014-10-04 16:49 FirasH Assigned To => jghali
2014-10-04 16:53 FirasH Tag Detached: undo
2014-10-04 16:53 FirasH Note Added: 0033887
2014-10-04 16:53 FirasH Status resolved => closed



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker